/*
 * This program was written by Grzegorz Adam Hankiewicz and Carlos Pereda
 * Moreno and is Giftware: you are free to do what you want with it without
 * any restriction. We do not accept responsibility for any effects, adverse
 * or otherwise, that this program may have on you, your computer, your
 * sanity, your dog, and anything else that you can think of. Use it at your
 * own risk.
*/
import java.awt.*;
import java.awt.event.*;

/** Esta clase es la ventana principal del juego. Contiene una serie de botones,
	* dos combos y una imagen. Desde este Frame se accede a todas las opciones del juego.
	*/

class CochePun extends Frame implements WindowListener, ActionListener
{
	/** Boton para salir del programa.
		*/
	Button salir;
	
	/** Boton para llamar al Dialogo con las instrucciones.
		* @see InstDialog
		*/
	Button instrucciones;
	
	/** Boton para crear el Dialogo de juego
		* @see GameDialog
		*/
	Button comenzar;
	
	/** Este choice ( combo) permite seleccionar el numero de segundos que transcurriran
		* entre los cambios de ficha.
		*/
	Choice velocidad;
	
	/** Este choice permite elegir el nivel en el que se desea comenzar a jugar.
		*/
	Choice elige_nivel;
	
	/** Este Panel se utiliza para alinear lso componentes correctamente.
		*/
	Panel pantalla;
		
	/** Esta etiqueta contiene el titulo del juego.
		*/
	Label labelTitulo;

   /**Constante que almacena el nmero mximo que hay de mapas en el juego
   */
	public final static int MAX_MAPA = 3;

	public static int nivel;
	/** Este constructor no recibe parametros, en el se crean todos los componentes
		* de esta ventana, se alinean, se les asignan el ActionListener. Se asigna el WindowListener
		* de la ventana, etc ...
		*
		* @see java.awt.Frame
		*/
	CochePun ()
	{
		super ("Bienvenido al CarCrash");
		
		salir = new Button ("Salir de Car Crash");
		instrucciones = new Button ("Manual del Usuario");
		comenzar = new Button ("Jugar");
		pantalla = new Panel ();
		labelTitulo = new Label ("COCHEPUN V 0.0",Label.CENTER);
		labelTitulo.setFont (new Font ("Arial", Font.BOLD,35));
		velocidad = new Choice ();
		elige_nivel = new Choice ();
		
		velocidad.add ("A 100000 Kms. por hora");
		velocidad.add ("A 10000 Kms. por hora");
		velocidad.add ("A 1000 Kms. por hora");
		velocidad.add ("A 100 Kms. por hora");
		velocidad.add ("A 10 Kms. por hora");

		elige_nivel.add ("Empezar en mapa 1");
		elige_nivel.add ("Empezar en mapa 2");
		elige_nivel.add ("Empezar en mapa 3");



		salir.addActionListener (this);
		instrucciones.addActionListener (this);
		comenzar.addActionListener (this);
		
		this.setLayout (new BorderLayout (2,2));
		pantalla.setLayout (new FlowLayout (FlowLayout.CENTER));
		
		this.add ("South", pantalla);
		this.add ("North", labelTitulo);
		
		pantalla.add (velocidad);
		pantalla.add (elige_nivel);
		pantalla.add (comenzar);
		pantalla.add (instrucciones);
		pantalla.add (salir);
		
		addWindowListener (this);
		
		setBackground (SystemColor.control);
		setResizable (false);
		pack ();
		show ();
	}
	/** Sin comentarios.
	*/
	public void actionPerformed (ActionEvent e)
	{
		if (e.getSource()== comenzar)
		{
			GamePanel.puntos = 0;
			for (nivel = elige_nivel.getSelectedIndex ()+1;nivel<= MAX_MAPA; nivel++)
			{
				GamePanel.salvados = 0;
				GamePanel.destruidos = 0;
				new GameDialog (this, velocidad.getSelectedIndex ()+1);
			}
		}
		else if (e.getSource()==salir)
		{
			System.exit (0);
		}
		else
		{
			new InstDialog (this);
		}
			
	}
	/** Sin comentarios.
	*/	
	public void windowClosing (WindowEvent e)
	{
		System.exit (0);			
	};

	/** Sin comentarios.
	*/
	public static void main (String argv[])
	{
		System.out.println ("Cargando ...");

		new CochePun ();
	}
		
	/** Sin comentarios.
	*/
	public void windowOpened (WindowEvent e){};
	/** Sin comentarios.
	*/
	public void windowActivated (WindowEvent e){};
	/** Sin comentarios.
	*/
	public void windowClosed (WindowEvent e){};
	/** Sin comentarios.
	*/
	public void windowDeiconified (WindowEvent e){};
	/** Sin comentarios.
	*/
	public void windowDeactivated (WindowEvent e){};
	/** Sin comentarios.
	*/
	public void windowIconified (WindowEvent e){};	
}