/*
 * This program was written by Grzegorz Adam Hankiewicz and Carlos Pereda
 * Moreno and is Giftware: you are free to do what you want with it without
 * any restriction. We do not accept responsibility for any effects, adverse
 * or otherwise, that this program may have on you, your computer, your
 * sanity, your dog, and anything else that you can think of. Use it at your
 * own risk.
*/
import java.io.*;
import java.awt.*;
import java.awt.event.*;

/** Esta clase es un cuadro de dialogo para las instrucciones y contiene unicamente
	* un textarea con el texto de las instrucciones y un boton para continuar. El texto
	* no es pregenerado, se lee desde el fichero dat/ayuda.txt.
	* @see Dialog 
	* @see WinDialog
	*/
class InstDialog extends Dialog implements WindowListener, ActionListener
{
	/** Este textarea contiene un texto con las instrucciones del juego. */
	TextArea txt;
	/** Este boton hace desaparecer el cuadro de dialogo */
	Button cont;
	
	/** Unico constructor de la clase. Recibe como parametro el Frame "padre" e inicializa	
		* todos los componentes.
		*/
	InstDialog (Frame owner)
	{
		super (owner, "MANUAL DE COCHEPUN", true);
		addWindowListener (this);
		setLayout (new BorderLayout (5,5));
		String s = new String() , s_final = new String();

		try
		{
			DataInputStream in = new DataInputStream (
				new BufferedInputStream (
					new FileInputStream ("dat/ayuda.txt")));
	
			while ((s = in.readLine()) != null)
				s_final += s + "\n";
	
				in.close();
		}
		catch (Exception e)
		{
			s_final = "No se pudo leer el fichero de ayuda.";
		}
		
		txt = new TextArea (s_final, 15, 50, TextArea.SCROLLBARS_VERTICAL_ONLY);
		txt.setEditable(false);
			
		cont = new Button ("Continuar");
		cont.addActionListener (this);
			
		add ("South", cont);
		add ("Center",txt);		
		pack();
		show();
		
	}	
	/** Sin comentarios */
	public void actionPerformed (ActionEvent e)
	{
		dispose ();
	}

	/** Sin comentarios */
	public void windowClosing (WindowEvent e)
	{
	//dispose();
	};
	/** Sin comentarios */
	public void windowActivated (WindowEvent e){};
	/** Sin comentarios */	
	public void windowClosed (WindowEvent e){};
	/** Sin comentarios */	
	public void windowDeiconified (WindowEvent e){};
	/** Sin comentarios */
	public void windowDeactivated (WindowEvent e){};
	/** Sin comentarios */
	public void windowOpened (WindowEvent e){};
	/** Sin comentarios */
	public void windowIconified (WindowEvent e){};
}
	